.header {
    position: relative;
    @media (min-width: 321px) {
        width: 100%;
    }
    &__logo {
        display: none;
        @media (min-width: 481px) {
            display: block;
        }
    }
    &__wrapper {
        min-width: 300px;
        height: 718px;
        background: url(../../images/section_with_header/header_mobile.png);
        @include background-position();
        @media (min-width: 321px) {
            width: 100%;
        }
        @media (min-width: 481px) {
            width: 100%;
            height: 798px;
            background: url(../../images/section_with_header/header_tablet.png);
            @include background-position();
        }        
        @media (min-width: 993px) {
            width: 100%;
            height: 800px;            
            background: url(../../images/section_with_header/header_desktop.png);
            @include background-position();
        }
        @media (min-width: 1200px) {
            width: 100%;
            @include background-position();
        }
    }        
    &__navbar {
        height: 103px;
        background-color: $ui-color-navbar;
        display: flex;
        align-items: center;
        @media (min-width: 481px) {
            display: none;
        }
    }
    &__logo-icon {
        background-image: url(../../images/section_with_header/header_icon.svg);
        width: 43px;
        height: 41px;
        margin-left: 16px;
    }
    &__navbar-btn {
        width: 120px;
        height: 38px;
        border-radius: 19px;
        border: 1px solid transparent;
        background-color: $ui-color-primary;
        @include text($ui-color-white, 15px, 700, 15px);
        position: absolute;
        left: 50%;
        transform: translate(-50%);
        cursor: pointer;
        &:hover {
            color: $ui-color-primary;
            background-color: $ui-color-white;
            border: 1px solid $ui-color-primary;
        }
    }
    &__burger-toggler {
        width: 26px;
        height: 26px;
        margin-left: calc(100% - 100px);
        cursor: pointer;
    }
    &__title {
        @include text($ui-color-white, 48px, 700, 48px);
        margin-top: 50px;
        @media (min-width: 481px) {
            margin-top: 0;
            padding-top: 169px;
            @include text($ui-color-white, 72px, 700, 72px);
        }
        @media (min-width: 993px) {
            @include text($ui-color-white, 82px, 700, 82px);
            padding-top: 183px;
        }
    }
    &__text-mobile {
        @include text($ui-color-primary, 18px, 400, 24px);
        margin-top: 19px;
        margin-right: 10px;
        margin-left: 10px;
        @media (min-width: 481px) {
            display: none;
        }
    }
    &__text {
        display: none;
        @media (min-width: 481px) { 
            display: block; 
            @include text($ui-color-primary, 24px, 400, 24px);
            margin-top: 19px;
            margin-right: 10px;
            margin-left: 10px;          
            font-family: "Lato";
            text-transform: none;
        }
        @media (min-width: 993px) {
            font-size: 30px;
            line-height: 30px;
        }
    }

    &__info {
        margin-top: 14px;
        @include text($ui-color-secondary, 14px, 400, 14px);
        text-transform: uppercase;
        @media (min-width: 481px) {
            margin-top: 19px;
        }
        @media (min-width: 993px) {
            font-size: 16px;
            line-height: 16px;
        }
    }
    &__btn {    
        width: 290px;
        height: 46px;
        border-radius: 23px;
        border: 1px solid transparent;
        background-color: $ui-color-primary;
        @include text($ui-color-white, 18px, 700, 20px);
        position: absolute;
        left: 50%;
        transform: translate(-50%);
        top: 695px;
        cursor: pointer;
        &:hover {
            color: $ui-color-primary;
            background-color: $ui-color-white;
            border: 2px solid $ui-color-primary;
        }
        @media (min-width: 481px) {
            width: 390px;
            height: 62px;
            border-radius: 40px;
            border: 1px solid transparent;
            background-color: $ui-color-primary;
            @include text($ui-color-white, 21px, 700, 23px);
            position: absolute;
            left: 50%;
            transform: translate(-50%);
            top: 767px;
        }
        @media (min-width: 1200px) {
            left: 50%;
            transform: translate(-50%);
        }
    }
    &__btn-info {
        @include text($ui-color-secondary, 14px, 400, 14px);
        margin-top: 36px;
        padding-bottom: 80px;
        @media (min-width: 481px) {
            margin-top: 42px;
            
        }
        @media (min-width: 1200px) {
            text-align: center;
        }
    }
}

.header__logo-icon:hover {
    background-image: url(../../images/section_with_header/header_icon_hover.svg);
}

.burger-toggler__line {
    width: 15px;
    height: 3px;
    border-radius: 2px;
    background-color: $ui-color-white;
    position: absolute;
    top: 42px;
    right: 15px;
    opacity: 1;
    transform: rotate(0);
    transition: all 1s ease;
    transform-origin: 0 1px;
    &:nth-child(2) {
        width: 26px;
        top: 51px;
    }
    &:nth-child(3) {
        width: 26px;
        top: 60px;
    }            
}

.nav-menu-mobile {
    display: none;
    &.active {
        width: 293px;
        height: 378px;
        display: flex;
        flex-direction: column;
        background-color: $ui-color-nav-menu-mobile;
        position: absolute;
        top: 103px;
        left: 50%;
        transform: translate(-50%);
    }    
    &__wrap-link {
        height: 88px;
        display: flex;
        align-items: center;
        border-bottom: 3px solid $ui-color-nav-menu-mobile-border; 
        position: relative; 
    }
    &__link {
        @include text($ui-color-white, 26px, 400, 26px);
        text-decoration: none;
        width: 100%;
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        display: flex;
        align-items: center;
        padding-left: 35px;       
        &:focus,
        &:active {
            color: $ui-color-primary;
            margin-left: 0; 
            border-left: 8px solid $ui-color-primary;
            padding-left: 27px;
            height: 53px; 
            margin-top: auto;  
            margin-bottom: auto;
        }
    }
}

.header__burger-toggler.active .burger-toggler__line:nth-child(1) {
    transform: rotate(45deg);
    right: 12px;
    top: 42px;
    width: 26px;
}  
.header__burger-toggler.active .burger-toggler__line:nth-child(2) {
    opacity: 0;
}  
.header__burger-toggler.active .burger-toggler__line:nth-child(3) {
    transform: rotate(-45deg);
    top: 60px;
    right: 12px;
} 

.header__navbar-tablet {
    display: none;
    @media (min-width: 481px) {
        display: flex;
        flex-direction: column;
        width: 100%; 
        height: 118px;   
        background-color: $ui-color-navbar; 
        position: absolute;  
        top: 0;
        left: 0;
    }
    @media (min-width: 993px) {
        display: none;
    }
}

.navbar-tablet__logo-btn {
    display: none;
    @media (min-width: 481px) {
        display: flex;
        width: 100%;   
    }
}

.logo-btn__navbar-btn {
    @media (min-width: 481px) {
        width: 120px;
        left: calc(100% - 75px);
        top: 24px;
    }
    @media (min-width: 668px) {
        width: 145px;
        left: calc(100% - 95px);
        top: 24px;
    }
    @media (min-width: 993px) {
        width: 145px;
        left: calc(100% - 90px);
        top: 31px;        
    }   
    @media (min-width: 1200px) {
        width: 145px;
        left: 1110px;
        top: 31px; 
    }     
}

.logo-btn {
    &__logo-link {
        text-decoration: none;
        text-transform: uppercase;
        color: $ui-color-primary;
        font-family: "Lato", sans-serif;
        font-size: 24px;
        font-weight: 700;
        line-height: 16px;
        &:hover .logo-btn__logo-text {
            color: $ui-color-white;
        }
        &:hover .logo-btn__logo-icon {
            background-image: url(../../images/section_with_header/header_icon_hover.svg);
        }
    }
    &__logo-icon {
        position: absolute;
        top: 22px;
        left: 10px;
        width: 43px;
        height: 41px;
    }
    &__logo-text {
        margin-top: 37px;
        margin-left: 80px;
    }
}

.nav-menu {
    display: none;
    @media (min-width: 481px) {
        @include flex-center_space-between();
        margin-top: 30px;
        margin-left: 80px;
        margin-right: 65px;
        &__link {
        text-decoration: none;
        @include text($ui-color-primary, 12px, 700, 18px);
            &:hover {
            color: $ui-color-white;
            }
        }
    } 
    @media (min-width: 668px) {
        @include flex-center_space-between();
        margin-top: 30px;
        margin-left: 125px;
        margin-right: 125px;
        &__link {
            text-decoration: none;
            @include text($ui-color-primary, 16px, 700, 18px);
            &:hover {
                color: $ui-color-white;
            }
        }
    }
    @media (min-width: 993px) {
        @include flex-center_space-between();
        margin-top: 42px;
        margin-left: 100px;
        margin-right: 195px;
    }
    @media (min-width: 1100px) {
        margin-left: 312px;
    }  
    @media (min-width: 1200px) {
        width: 520px;
    }       
}

.header__navbar-desktop {
    display: none;
    @media (min-width: 993px) {
        width: 100%;
        @include flex-center();
        position: absolute;  
        top: 0;
        left: 0;
    }
}

.navbar-desktop__nav-menu {
    width: 100%;
}
